Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 17 Feb 2023 13:33:57 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have applied 3 times for the return of my product. Which i got wrong. I have called 3 times to make a return request. All the times they told me that you will have our delivery partner in 1-3 business days and he will collect your item and you will get your refund. Its been 3 months nothing happened. I once received a call from the delivery service but haven’t heard back from them yet. Tell me what to do? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5723244